Package org.silverpeas.components.quickinfo.model

## Class NewsSelection

- java.lang.Object
- - org.silverpeas.core.clipboard.ClipboardSelection
  - - org.silverpeas.components.quickinfo.model.NewsSelection

- All Implemented Interfaces:
    `ClipboardOwner`, `Transferable`, `Serializable`

      public class NewsSelection
      extends org.silverpeas.core.clipboard.ClipboardSelection

  Model representing a `News` into the context of the clipboard API.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DataFlavor` | `NewsFlavor` |

    - ### Fields inherited from class org.silverpeas.core.clipboard.ClipboardSelection

      `IndexFlavor, selected, SilverpeasKeyDataFlavor, supportedFlavorsList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsSelection​(News news)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.index.indexing.model.IndexEntry` | `getIndexEntry()` |
    `org.silverpeas.core.clipboard.SilverpeasKeyData` | `getKeyData()` |
    `Object` | `getTransferData​(DataFlavor parFlavor)` |

    - ### Methods inherited from class org.silverpeas.core.clipboard.ClipboardSelection

      `addFlavor, getTransferDataFlavors, isCutted, isDataFlavorSupported, isSelected, lostOwnership, setCutted, setSelected`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NewsFlavor

          public static final DataFlavor NewsFlavor

  - ### Constructor Detail

    - #### NewsSelection

          public NewsSelection​(News news)

  - ### Method Detail

    - #### getTransferData

          @Nonnull
          public Object getTransferData​(DataFlavor parFlavor)
                                 throws UnsupportedFlavorException

      Specified by:
        `getTransferData` in interface `Transferable`
      Overrides:
        `getTransferData` in class `org.silverpeas.core.clipboard.ClipboardSelection`
      Throws:
        `UnsupportedFlavorException`

    - #### getIndexEntry

          public org.silverpeas.core.index.indexing.model.IndexEntry getIndexEntry()

      Specified by:
        `getIndexEntry` in class `org.silverpeas.core.clipboard.ClipboardSelection`

    - #### getKeyData

          public org.silverpeas.core.clipboard.SilverpeasKeyData getKeyData()

      Specified by:
        `getKeyData` in class `org.silverpeas.core.clipboard.ClipboardSelection`